package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TaUser {
    private Integer id;

    private Integer communityId;

    private Integer buildingOwnerInfoId;

    private String headPortrait;

    private String userName;

    private String loginName;

    private String loginPassword;

    private String email;

    private String gender;

    private String status;

    private String remark;

    private Integer parentId;

    private String acceptAgreementStatus;

    /**
     * 0 是未认证    1是认证通过   2是已作废 3 已被拉黑
     */
    private String verifyStatus;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    // 身份证
    private String idCard;

    // 海康UserId
    private Integer hkUserId;

    // 海康 卡片号
    private String hkCardNo;

    // 人脸状态
    private String faceStatus;

    // 角色编号
    private Integer role;

    // 角色名称
    private String roleName;

    // 海康人员编号
    private Long hkPersonNo;

    private String openid;

    private String nickname;

    // 当前用户下的多套房产
    private List<TpBuildingOwnerInfo> houseList;

    /** 审核id **/
    private Integer userVerifyId;

    /** 审核 状态 **/
    private String userVerifyStatus;

    public void setHouseList(List<TpBuildingOwnerInfo> houseList) {
        this.houseList = houseList;
    }

    public List<TpBuildingOwnerInfo> getHouseList() {
        return houseList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getBuildingOwnerInfoId() {
        return buildingOwnerInfoId;
    }

    public void setBuildingOwnerInfoId(Integer buildingOwnerInfoId) {
        this.buildingOwnerInfoId = buildingOwnerInfoId;
    }

    public String getHeadPortrait() {
        return headPortrait;
    }

    public void setHeadPortrait(String headPortrait) {
        this.headPortrait = headPortrait == null ? null : headPortrait.trim();
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName == null ? null : loginName.trim();
    }

    public String getLoginPassword() {
        return loginPassword;
    }

    public void setLoginPassword(String loginPassword) {
        this.loginPassword = loginPassword == null ? null : loginPassword.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender == null ? null : gender.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getAcceptAgreementStatus() {
        return acceptAgreementStatus;
    }

    public void setAcceptAgreementStatus(String acceptAgreementStatus) {
        this.acceptAgreementStatus = acceptAgreementStatus == null ? null : acceptAgreementStatus.trim();
    }

    public String getVerifyStatus() {
        return verifyStatus;
    }

    public void setVerifyStatus(String verifyStatus) {
        this.verifyStatus = verifyStatus == null ? null : verifyStatus.trim();
    }

    public String getFaceStatus() {
        return faceStatus;
    }

    public void setFaceStatus(String faceStatus) {
        this.faceStatus = faceStatus;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getHkUserId() {
        return hkUserId;
    }

    public void setHkUserId(Integer hkUserId) {
        this.hkUserId = hkUserId;
    }

    public String getHkCardNo() {
        return hkCardNo;
    }

    public void setHkCardNo(String hkCardNo) {
        this.hkCardNo = hkCardNo;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Long getHkPersonNo() {
        return hkPersonNo;
    }

    public void setHkPersonNo(Long hkPersonNo) {
        this.hkPersonNo = hkPersonNo;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid == null ? null : openid.trim();
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname == null ? null : nickname.trim();
    }

    public Integer getUserVerifyId() {
        return userVerifyId;
    }

    public void setUserVerifyId(Integer userVerifyId) {
        this.userVerifyId = userVerifyId;
    }

    public String getUserVerifyStatus() {
        return userVerifyStatus;
    }

    public void setUserVerifyStatus(String userVerifyStatus) {
        this.userVerifyStatus = userVerifyStatus;
    }
}